Bug 460770 - Fail to parse/compile set of books with Duplicate ID error
Fail to parse/compile set of books with Duplicate ID error
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-31 09:35 EDT by Jeroen van Meeuwen
Modified: 2010-11-23 23:16 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.35
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-01 00:23:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Duplicate ID Error (2.81 KB, application/octet-stream)
2008-08-31 09:35 EDT, Jeroen van Meeuwen
no flags Details

  None (edit)
Description Jeroen van Meeuwen 2008-08-31 09:35:23 EDT
Created attachment 315444 [details]
Duplicate ID Error

Description of problem:

publican fails to compile a set of books with a complaint about a duplicate ID in Legal_Notice.xml

Version-Release number of selected component (if applicable):

[jmeeuwen@ghandalf courses]$ rpm -qva publican*
publican-genome-1.0.0-1.fc10.noarch
publican-fedora-0.13-0.fc10.noarch
publican-0.34-0.fc10.noarch

How reproducible:

Create a set of books and include Legal_Notice in each of these books.

Steps to Reproduce:
1. git clone git://git.fedorahosted.org/courses.git
2. Edit Makefile to use the default brand
3. make html-single-en-US
  
Actual results:

See attachment

Expected results:

Like publican-fedora, just keep going even with duplicate ID's (it's the same file from include, there can be no different ID's unless they are generated). I suspect the Legal_Notice.xml from publican stock Common_Content has the ID set, whereas publican-fedora does not.

Additional info:
Comment 1 Jeff Fearn 2008-09-01 00:23:09 EDT
Removed ID's from common content.

Note You need to log in before you can comment on or make changes to this bug.